
-- leave me
	local actor = ACTOR_preload()
-- leave me

	actor[cp_actor_name]		= "mergeblob-1_spawn"
	actor[cp_model_dir]			= "beasties"
	actor[cp_model_name]		= "mergeblob-1_spawn"

	actor[cp_move_type]			= cmt_track + cmt_repelled

	-- 360 / 4
	local ang = 60.0
	actor[cp_angle_grid_size]		= ang

	actor[cp_i_collide_with_beasties]	= cat_fence + cat_player

	actor[cp_i_am_repelled_by]		= cat_block
	actor[cp_repel_dist]			= 30.0

	actor[cp_hit_power]			= 5.0

	actor[cp_score]				= 300

	-- movement
	actor[cp_move_speed_min]		= 0.20
	actor[cp_move_speed_max]		= 0.35
	actor[cp_move_acceleration]		= 0.1
	actor[cp_move_deceleration]		= 0.1
	actor[cp_move_inertia_accn]		= 0.8
	actor[cp_move_inertia_decn]		= 0.8

	actor[cp_target_stop_dist]		= 6.0

	actor[cp_turn_lock_angle_inner]		= ang-1.0
	actor[cp_turn_lock_angle_outer]		= ang+1.0
	actor[cp_turn_speed_still]			= ang
	actor[cp_turn_acceleration_still]	= ang
	actor[cp_turn_inertia_still]		= 0.0
	actor[cp_turn_speed_moving]			= 0.0
	actor[cp_turn_acceleration_moving]	= 0.0
	actor[cp_turn_inertia_moving]		= 0.0

	actor[cp_weight]				= 0.5

	actor[cp_health_percent]		= 300.0

	actor[cp_random_edge_inner_percent]	= 50.0
	actor[cp_random_edge_outer_percent]	= 90.0

--	actor[cp_merge_value]			= 1.0

--	actor[cp_random_offset_x]			= 20.0
--	actor[cp_random_offset_z]			= 20.0

	actor[cp_random_trajectory_offset]				= 30.0
	actor[cp_random_trajectory_offset_delay_min]	= 0.2
	actor[cp_random_trajectory_offset_delay_max]	= 1.0

	actor[cp_launch_hue_shift] = color

	actor[cp_difficulty_adjust_speed] = 40.0
	actor[cp_difficulty_adjust_shoot] = 100.0

-- leave me
	c_preload_model( actor )
-- leave me

	c_set_random_anim( "wibb", 100.0, 500.0, 0.0, 0.0 )

	c_set_random_anim( "pulse", 50.0, 300.0, 0.0, 0.0 )

	c_set_random_anim( "sound", 100.0, 100.0, 0.0, 5.0 )

--	c_add_particle_to_anim( "pulse", "main", "mergerblob-part" )

	c_set_use_explosion_for( "bye_bye", "mergeblob-1_spawn", exp_no_align, 0.0, 0.0, 2000.0, 2000.0, {0.0} )
	c_add_particle_to_explosion( "mergeblob-1_spawn", "explode", "", "mergeblob-1_spawn" )
	c_add_sound_to_explosion( "mergeblob-1_spawn", "explode", "mergeblob-spawnexp" )

	c_add_sound_to_anim( "sound", "mergeblob-spawn" )

	c_add_sound_to_event( "hit_active_bone", "mergeblob-spawn-hit" )
	-- new state
	-- set new stuff
	actor[cp_move_type]			= cmt_track
	-- send out
	c_set_trigger_state( "my_time_alive", 0.5, 2.0, actor )
	-- new state

--	c_add_flock_type( 2.0, 3.0, 40.0, 90.0 )
